//EJODDDEF JOB <JOB PARAMETERS>
//*********************************************************************
//* Licensed Material - Property of IBM                               *
//* 5655-V64 (C) Copyright IBM Corp. 2009,2011                        *
//*                                                                   *
//* All Rights Reserved.                                              *
//*                                                                   *
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *
//*                                                                   *
//* Status = HEJO700                                                  *
//* _________________________________________________________________ *
//*                                                                   *
//*  This JCL will create DDDEF entries for product                   *
//*  WebSphere Virtual Enterprise V7.0.0 for z/OS.                    *
//*                                                                   *
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *
//*  Before using this job step, you will have to make the following  *
//*  modifications:                                                   *
//*                                                                   *
//*  1) Add the job parameters to meet your system requirements       *
//*  2) Change #globalcsi to the dataset name of your global CSI      *
//*     data set                                                      *
//*  3) Change #tzone to the name of your target zone                 *
//*  4) Change #dzone to the name of your distribution zone           *
//*  5) Change hhh to the appropriate high-level qualifier            *
//*  6) This job uses the recommended data set placement for the      *
//*     target libraries:                                             *
//*     Change ttttt1 to the volser for the target libraries          *
//*  7) Change dddddd to the volser of the distribution volume.       *
//*                                                                   *
//*     If you specify a volume for any dataset in this job, you      *
//*     must also specify the same volume in the corresponding        *
//*     dataset allocation job, EJOALLOC.                             *
//*                                                                   *
//*  8) In step DEFPATH, change -PathPrefix- to the appropriate high  *
//*     level directory name.  The -PathPrefix- string must match     *
//*     the specification for the -PathPrefix- string in the          *
//*     EEXISMKD job.                                                 *
//*                                                                   *
//*     IF no change is performed for the -PathPrefix- string, then   *
//*     -PathPrefix- will become the high level directory name, which *
//*     is probably not what you want.                                *
//*                                                                   *
//*     These changes must be done before running this job !          *
//*                                                                   *
//*  Notes:                                                           *
//*                                                                   *
//*  1. This job should complete with a return code 0.  However, if   *
//*     some or all of these DDDEF entries already exist, then the    *
//*     job will complete with a return code 8. You will have to      *
//*     examine the output and determine whether or not the existing  *
//*     entries should be replaced. You can change the 'ADD' to       *
//*     'REP' in this job to replace existing entries.                *
//*                                                                   *
//*     You may receive the following message for the first           *
//*     change command in the DEFPATH step.  This message is          *
//*     expected and can be ignored:                                  *
//*                                                                   *
//*          GIM26501W    THE PATH SUBENTRY WAS NOT CHANGED.          *
//*                                                                   *
//*     If you receive this message, a return code of 4 is expected   *
//*     for the DEFPATH step.                                         *
//*                                                                   *
//*  2. The unit and volume parameters may be deleted for data sets   *
//*     that are cataloged.                                           *
//*                                                                   *
//*  5. Run only the steps that are applicable to your                *
//*     installation:                                                 *
//*     Step DDDEFT  contains all DDDEFs for the target zone for      *
//*          WebSphere Virtual Enterprise V7.0.0 for z/OS             *
//*     Step DDDEFD  contains all DDDEFs for the dlib zone for        *
//*          WebSphere Virtual Enterprise V7.0.0 for z/OS             *
//*                                                                   *
//*********************************************************************
//DDDEFT  EXEC PGM=GIMSMP,REGION=4096K
//SMPCSI  DD   DSN=#globalcsi,
//             DISP=SHR
//SMPCNTL DD *
    SET   BDY(#tzone).
     UCLIN.
      ADD DDDEF (SEJOANT)
          PATH('/usr/lpp/zWebSphereVE/V7R0/IBM/').
      ADD DDDEF (SEJOEBCD)
          PATH('/usr/lpp/zWebSphereVE/V7R0/IBM/').
      ADD DDDEF (SEJOEXEC)
          DATASET(hhh.SEJOEXEC)
          UNIT(SYSALLDA)
          VOLUME(ttttt1)
          WAITFORDSN
          SHR.
      ADD DDDEF (SEJOJCL)
          DATASET(hhh.SEJOJCL)
          UNIT(SYSALLDA)
          VOLUME(ttttt1)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOANT)
          DATASET(hhh.AEJOANT)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOEBCD)
          DATASET(hhh.AEJOEBCD)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOEXEC)
          DATASET(hhh.AEJOEXEC)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOJCL)
          DATASET(hhh.AEJOJCL)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
     ENDUCL.
//*********************************************************************
//*  Allocate DDDEF entries for the dlib zone for                     *
//*  WebSphere Virtual Enterprise V7.0.0 for z/OS                     *
//*********************************************************************
//DDDEFD  EXEC PGM=GIMSMP,REGION=4096K
//SMPCSI  DD   DSN=#globalcsi,
//             DISP=SHR
//SMPCNTL DD *
    SET   BDY(#dzone).
     UCLIN.
      ADD DDDEF (AEJOANT)
          DATASET(hhh.AEJOANT)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOEBCD)
          DATASET(hhh.AEJOEBCD)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOEXEC)
          DATASET(hhh.AEJOEXEC)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
      ADD DDDEF (AEJOJCL)
          DATASET(hhh.AEJOJCL)
          UNIT(SYSALLDA)
          VOLUME(dddddd)
          WAITFORDSN
          SHR.
     ENDUCL.
//*********************************************************************
//*  Change the -PathPrefix- string to the                            *
//*  appropriate high level directory name. If you are installing in  *
//*  the path as defined, change  "-PathPrefix-" to "" (null).        *
//*  If you are upgrading releases or installing maintenance, change  *
//*  "-PathPrefix- to "/Service" or a more meaningful name.           *
//*  Please note that the ADDlacement string is case sensitive.       *
//*                                                                   *
//*  Please verify that the changed path statements do not contain    *
//*  double slashes (such as //usr/lpp) prior to running this step.   *
//*********************************************************************
//DEFPATH EXEC PGM=GIMSMP,REGION=4096K
//SMPCSI  DD   DSN=#globalcsi,
//             DISP=SHR
//SMPCNTL DD *
    SET BDY(#tzone) .        /* CHANGE  -PathPrefix- */
      ZONEEDIT DDDEF.
      CHANGE PATH('/usr/lpp/zWebSphereVE/V7R0/IBM/'*,
                  '-PathPrefix-/usr/lpp/zWebSphereVE/V7R0/IBM/'*).
    ENDZONEEDIT.
/*
//
