//EJOISMKD JOB <JOB PARAMETERS>
//*********************************************************************
//* Licensed Material - Property of IBM                               *
//* 5655-V64 (C) Copyright IBM Corp. 2009,2011                        *
//*                                                                   *
//* All Rights Reserved.                                              *
//*                                                                   *
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *
//*                                                                   *
//* Status = HEJO700                                                  *
//* _________________________________________________________________ *
//*                                                                   *
//*  This JCL will mount the WebSphere Virtual Enterprise V7.0.0      *
//*  for Z/OS and execute the EJOMKDIR exec to create the necessary   *
//*  directories.                                                     *
//*                                                                   *
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *
//*  Before using this job step, you will have to make the following  *
//*  modifications:                                                   *
//*                                                                   *
//*  1) Add the job parameters to meet your system requirements       *
//*                                                                   *
//*  2) Change the dsprefix to the qualifier specified for            *
//*     'DSPREFIX' in the 'OPTIONS' entry of the global zone that     *
//*     was used to SMP/E receive this FMID.                          *
//*                                                                   *
//*  3) Change the string "-PathPrefix-" to the appropriate service   *
//*     directory name to be used. For users installing into          *
//*     directory /usr/lpp/zWebSphereVE/V7R0/IBM/, the default,       *
//*     this would be slash(/). For others, the high level directory  *
//*     may be something like "/SERVICE" or a more meaningful name.   *
//*     Please note the replacement string is case sensitive. Ensure  *
//*     the -PathPrefix- is the absolute path name and begins with a  *
//*     slash (/), or consists only of a slash(/) if installing into  *
//*     the root (driving system) HFS.                                *
//*                                                                   *
//*  4) Ensure the following directories exist:                       *
//*     -PathPrefix-/usr                                              *
//*     -PathPrefix-/usr/lpp                                          *
//*                                                                   *
//*  5) This job will create the following directories if necessary,  *
//*     and set permissions to 755:                                   *
//*     -PathPrefix-/usr/lpp/zWebSphereVE                             *
//*     -PathPrefix-/usr/lpp/zWebSphereVE/V7R0                        *
//*     If you are mounting the WebSphere Extended Deployment for     *
//*     z/OS HFS on a read/only HFS, you must create these            *
//*     directories manually. Be sure to make them world-readable.    *
//*                                                                   *
//*  6) Change hlq to the qualifier specified for 'hlq' in the        *
//*     ALLOCH step entry of the EJOALLOC job.  If you are installing *
//*     into a different HFS that is already mounted or is mounted    *
//*     at a higher directory level for /usr/lpp/zWebSphereVE/V7R0    *
//*     delete the hlq.SEJOHFS parameter.                             *
//*                                                                   *
//*  7) Ensure you execute this job from a userid that is UID=0       *
//*     or is permitted to the 'BPX.SUPERUSER' facility class.        *
//*                                                                   *
//*  8) Review the job output to verify successful completion. This   *
//*     job should normally end with RC=0, or RC=4 if certain         *
//*     commands (such as chmod) could not be performed because the   *
//*     service HFS is mounted read-only.   If other errors occur,    *
//*     correct them and resubmit this job.                           *
//*                                                                   *
//*  Step IKJEFT01 makes the directories and mounts the HFS.          *
//*                                                                   *
//* If you want to run from the SMP/E target library, instead of      *
//* SMPTLIB, uncomment the second SYSEXEC statement, and comment out  *
//* the first.                                                        *
//*                                                                   *
//* Change EJO.SEJOEXEC to the appropriate high-level qualifier       *
//* ("EJO" is the default) on the SYSEXEC step if you chose not to    *
//* use the default in the EJOALLOC sample.                           *
//*                                                                   *
//* You may only run from the target library if the product is        *
//* already SMP/E APPLY'd.  Change ttttt1 to the appropriate volume.  *
//*                                                                   *
//*********************************************************************
//*
//IKJEFT01 EXEC PGM=IKJEFT01,REGION=0M
//SYSEXEC  DD DSN=dsprefix.HEJO700.F4,
//      DISP=SHR
//*
//*SYSEXEC DD UNIT=SYSALLDA,VOL=SER=ttttt1,DISP=SHR,
//*      DSN=EJO.SEJOEXEC
//*
//SYSTSPRT DD SYSOUT=*
//SYSTSIN  DD *
PROF MSGID
EJOMKDIR -PathPrefix- hlq.SEJOHFS
/*
//
