//EJOXZDEF JOB <JOB PARAMETERS>
//*********************************************************************
//* Licensed Material - Property of IBM                               *
//* 5655-V64 (C) Copyright IBM Corp. 2009,2011                        *
//*                                                                   *
//* All Rights Reserved.                                              *
//*                                                                   *
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *
//*                                                                   *
//* Status = HEJO700                                                  *
//* _________________________________________________________________ *
//*                                                                   *
//*  This JCL will add additional target zones to be checked for      *
//*  cross-zone prerequisites during SMP/E apply processing for       *
//*  WebSphere Virtual Enterprise V7.0.0 for z/OS.                    *
//*                                                                   *
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *
//*  Before using this job step, you will have to make the following  *
//*  modifications:                                                   *
//*                                                                   *
//*  1) Add the job parameters to meet your system requirements       *
//*  2) Change #globalcsi to the dataset name of your global CSI      *
//*     data set                                                      *
//*  3) Change #tzone1 to the name of a target zone to be checked     *
//*     for cross-zone prerequisites (e.g., a target zone containg    *
//*     z/OS, CICS, DB2, MQ, etc.)                                    *
//*  4) Change #tzone1csi to the data set name of the CSI data set    *
//*     containing #tzone1.                                           *
//*  5) Change #tzone2 and #tzone2csi to the target zone name and     *
//*     CSI data set name of a second zone to be checked              *
//*  6) Change #tzone3 and #tzone3csi to the target zone name and     *
//*     CSI data set name of a third zone to be checked               *
//*  7) If there are only one or two target zones to be checked,      *
//*     remove the extraneous target zone lines                       *
//*  8) If there are more than three target zones to be checked,      *
//*     add additional target / CSI pairs as needed                   *
//*                                                                   *
//*     These changes must be done before running this job !          *
//*                                                                   *
//*  Notes:                                                           *
//*                                                                   *
//*  1. This job should complete with a return code 0.  Check the     *
//*     resulting zone index for completeness.                        *
//*                                                                   *
//*  Change Activity:                                                 *
//*                                                                   *
//*********************************************************************
//XZDEF   EXEC PGM=GIMSMP,REGION=4096K
//SMPCSI  DD   DSN=#globalcsi,
//             DISP=SHR
//SMPCNTL DD *
    SET   BDY(GLOBAL).
     UCLIN.
      ADD GZONE
       ZONEINDEX(
           (#tzone1,  #tzone1csi, TARGET)
           (#tzone2,  #tzone2csi, TARGET)
           (#tzone3,  #tzone3csi, TARGET)
                                         ).
     ENDUCL.
     LIST GLOBALZONE.
/*
//
