#!/bin/sh
#
# ================================================================ 
# PROPRIETARY-STATEMENT:                                           
# Licensed Material - Property of IBM                              
#                                                                  
# 5655-V64 (C) Copyright IBM Corp. 2009, 2011                            
# All Rights Reserved.                                             
# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or 
# Disclosure restricted by GSA-ADP schedule contract with IBM Corp.
# Status = HEJO700                                                
# ================================================================ 
#
# create zos install image
# usage: ejoaugment.sh <configuration hfs location>  <port1> <port2> <port3>
# xdAgentPort xdOverlayTCPPort xdOverlayUDPPort are optional
#

if [ -z $1 ]
then
   echo "Syntax: ejoaugment.sh <(Writable) configuration hfs location> <port1> <port2> <port3>"
   echo "where: <port1> is the xdAgentPort <port2> is the xdOverlayTCPPort, <port3> is the xdOverlayUDPPort"
   exit 8
fi

ConfigRoot=$1

. $ConfigRoot/profiles/default/bin/setupCmdLine.sh

if [ $# -ne 1 ]
then
	PORTFILE=/tmp/ejo.$WAS_CELL.$WAS_NODE.ports
	echo "port file is $PORTFILE"
	echo "Ports set"
	xdAgentPort=$2
	xdOverlayTCPPort=$3
	xdOverlayUDPPort=$4

	echo "$xdAgentPort $xdOverlayTCPPort $xdOverlayUDPPort" > $PORTFILE
fi

if [ ! -d $ConfigRoot ]
then
   echo "$ConfigRoot is not a valid directory"
   echo "Syntax: ejoaugment.sh <(Writable) configuration hfs location>"
   exit 8
fi

if [ ! -w $ConfigRoot ]
then
   echo "$ConfigRoot must be writable"
   echo "Syntax: ejoaugment.sh <(Writable) configuration hfs location>"
   exit 8
fi

echo "===== Augmenting default profile with WebSphere XD ====="

$ConfigRoot/profiles/default/bin/bbowprof.sh -augment -profileName default -templatePath $ConfigRoot/profileTemplates/xd_augment 
	rc=$?

if [ $rc -ne 0 ]
then
	echo "===== ERROR: Augment has failed! ===="
else
  echo "===== Finished augmenting default profile with WebSphere XD ====="
fi

exit rc
